List Delivery Channels
curl --request GET \
--url https://api.tenderly.co/api/v1/account/{accountSlug}/delivery-channels \
--header 'X-Access-Key: <api-key>'import requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/delivery-channels"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/delivery-channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"delivery_channels": [
{
"id": "b16b4b75-e034-44c9-a053-f10d769a1d64",
"type": "email",
"owner_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2",
"project_id": null,
"label": "Email: vanja@tenderly.co",
"reference_id": "vanja@tenderly.co",
"enabled": true,
"created_at": "2022-04-13T14:30:10.920586Z",
"information": {
"email": "vanja@tenderly.co",
"emails": [
"vanja@tenderly.co"
]
}
},
{
"id": "f48f1f9f-1f74-4849-81cf-fce8bd3746b7",
"type": "slack",
"owner_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2",
"project_id": null,
"label": "#dzimiks-dashboard-alerts in Tenderly",
"reference_id": "C026DRJ78GL",
"enabled": true,
"created_at": "2023-01-11T17:05:54.689698Z",
"information": {
"team_name": "",
"channel_name": "#dzimiks-dashboard-alerts"
}
}
]
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Delivery Channels
List Delivery Channels
Retrieves all configured delivery channels for an account.
GET
/
v1
/
account
/
{accountSlug}
/
delivery-channels
List Delivery Channels
Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user
Response
A successful response.
Detailed delivery channel information returned by the API
Show child attributes
Show child attributes
Was this page helpful?
⌘I